# fromIdentity()

## Description

Retrieve an array of requests from an Identity

## Parameters

<table data-full-width="true"><thead><tr><th>Name</th><th>Type</th><th data-type="checkbox">Required?</th><th>Description</th></tr></thead><tbody><tr><td>identity</td><td><a href="../iidentity">IIdentity</a></td><td>true</td><td>Identity type and value</td></tr><tr><td>updatedBetween</td><td><a href="#types.itimestampboundaries">ITimestampBoundaries</a></td><td>false</td><td>Start time and end time</td></tr><tr><td><a href="#options">options</a></td><td>Object</td><td>false</td><td>Options</td></tr></tbody></table>

## Returns

Promise<[Request](https://docs.request.network/advanced/request-network-sdk/sdk-api-reference/request-client.js/request)\[]>

## Types and Interfaces

### Types.ITimestampBoundaries

<table data-full-width="true"><thead><tr><th>Name</th><th>Type</th><th data-type="checkbox">Required?</th><th>Description</th></tr></thead><tbody><tr><td>from</td><td>number (Unix timestamp)</td><td>false</td><td>Start time</td></tr><tr><td>to</td><td>number (Unix timestamp)</td><td>false</td><td>End time</td></tr></tbody></table>

### options

<table data-full-width="true"><thead><tr><th>Name</th><th>Type</th><th data-type="checkbox">Required?</th><th>Description</th></tr></thead><tbody><tr><td>disablePaymentDetection</td><td>boolean</td><td>false</td><td>Disable payment detection</td></tr><tr><td>disableEvents</td><td>boolean</td><td>false</td><td>Disable events</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.request.network/advanced/request-network-sdk/sdk-api-reference/request-client.js/requestnetwork/fromidentity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
